SLEEP(1)

NAME
sleep - suspend execution for an interval of time

SYNOPSIS
sleep seconds

DESCRIPTION
The sleep utility suspends execution for at least the given number of seconds. seconds must be a non-negative decimal value and may contain a fraction.

ASYNCHRONOUS EVENTS

SIGALRM
    Terminate early, with a zero exit status.

EXIT STATUS

EXAMPLES
Wait five seconds before running a command:

    $ sleep 5; echo Hello, World!

List a file twice per second:

    while ls -l file; do
    	sleep 0.5
    done

SEE ALSO
at(1)

STANDARDS
The sleep utility is compliant with the p1003.1-2008 specification.

Support for fractional seconds is an extension to that specification.

HISTORY
A sleep utility first appeared in AT&T UNIX.

This implementation of sleep first appeared in 4.3BSD Tahoe.